package com.platform.pos.posprintrabbitmqprovider.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 发送的消息实体
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Message implements Serializable {
    private String messageId;          //消息id
    private String messageTitle;       //消息标题
    private MessageContent messageContent;     //消息内容
    private String messageType;        //消息类型，sys（系统消息）、sms（短信消息）
    private String createTime;    //创建时间
    private String updateTime;    //更新时间
    private String statusCode;  //消息发送结果状态码（4000表示成功，4001表示失败）
    private String posFanoutExchange;//创建的扇形交换机名称
    private String posQueue;//创建的消息队列名称
    private String tusn;//POS机序列号
    private String printSetting;//打印标识：1-打印客户联  2-打印商户联  3-打印客户联和商户联
}
